Description

After the success on my Mac, I tried to compile normaliz-3.9.2 on windows/cygwin, but failed in the configuration (problem on GMP).

Related issues:

Related to CoCoALib - Support #1591: Compilation of Normaliz Closed 30 Apr 2021

History

#1 - 15 Feb 2022 10:08 - Anna Maria Bigatti

- File Screenshot 2022-02-15 at 09.48.18.png added

- File Screenshot 2022-02-15 at 09.47.39.png added

- File Screenshot 2022-02-15 at 09.52.06.png added

It seems that there is a similar problem on recognizing GMP libraries.

I compiled GMP on cygwin, and properly installed it a directory in my home.

But on cygwin this does not produce .dylib versions, I get only the .a .la files:

 Screenshot 2022-02-15 at 09.52.06.png 

Then I run the configuration of normaliz (I get the same error with/without disable-shared):

 Screenshot 2022-02-15 at 10.01.52.png 

but it fails saying that GMP library cannot be found:

 Screenshot 2022-02-15 at 09.48.18.png 

My guess is that it really wants to find a dylib and/or wants to find GMP in /usr/local

#2 - 15 Feb 2022 10:16 - Anna Maria Bigatti

- File Screenshot 2022-02-15 at 10.01.52.png added

#3 - 15 Feb 2022 10:19 - Anna Maria Bigatti

- Related to Support #1591: Compilation of Normaliz added

#4 - 15 Feb 2022 10:49 - John Abbott

You may need to set a "library path" to tell the system to look for libraries in "unusual places" (namely /home/cocoa/GMP/lib/).
Not sure how, but the info should be easy to find on the internet.

#5 - 31 Jan 2024 22:02 - John Abbott

Is this still a problem?   Maybe we can ask Nico?

#6 - 18 Mar 2024 09:27 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880

Files

Screenshot 2022-02-15 at 09.48.18.png 30.2 KB 15 Feb 2022 Anna Maria Bigatti

Screenshot 2022-02-15 at 09.47.39.png 22.3 KB 15 Feb 2022 Anna Maria Bigatti

Screenshot 2022-02-15 at 09.52.06.png 11.6 KB 15 Feb 2022 Anna Maria Bigatti

Screenshot 2022-02-15 at 10.01.52.png 15.7 KB 15 Feb 2022 Anna Maria Bigatti

Powered by TCPDF (www.tcpdf.org)

29 Apr 2024 2/2

http://www.tcpdf.org

